/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* file name list_cpp.h */
#ifndef LIST_H_
#define LIST_H_

struct Element {
    int ssn;                  // ssn
    char *fname;           // first name
    char *lname;           // last name
    Element *next;
};

class List {
  private:
    static int totnum;
    Element *head;
    void printElement(Element *e);   // print out an element
  public:
    List();
    ~List();
    // prepend to the list at the beginning
    void prepend (int ssn, char *fname, char *lname); 
    void print();         // print out the list 
    int  remove(int ssn); // delete first node with ssn = ssn
};
#endif /*  LIST_H_ */
